/*!
\file face.h
\brief Class declaration for Face
\author Nicholas Phillips, phillips@friday.gsfc.nasa.gov
\date Sep 24, 2004
*/
#ifndef FACE_H
#define FACE_H
#include <vector>
#include <list>
#include "typedefs.h"

//=======================================================================
//=======================================================================
class Face {
public:
	Face() : face(0), rigging_set(false) {};
	virtual ~Face() {};

	void faceNumber(const int face_) { face = face_; }
	void setRigging(const int nside, std::vector<double> &costhetas);
	void draw();
	void toMollweide();
	void toMollweideBackfaceSplit();

protected:
	void setRigging_NP(const int nside, std::vector<double> &costhetas);
	void setRigging_EQ(const int nside, std::vector<double> &costhetas);
	void setRigging_SP(const int nside, std::vector<double> &costhetas);
private:
	int face;
	bool rigging_set;
	GLVertList quadList;
};


#endif
